## rust-ahash-0.7 0.7.6

=== debian/changelog ===
rust-ahash-0.7 (0.7.6-11) unstable; urgency=medium

  * break+replace older releases of librust-ahash-dev;
    closes: bug#1030693, thanks to Andreas Beckmann

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 07 Feb 2023 21:17:58 +0100

rust-ahash-0.7 (0.7.6-10) unstable; urgency=medium

  * tighten autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 03 Feb 2023 08:27:36 +0100

rust-ahash-0.7 (0.7.6-9) experimental; urgency=medium

  * update copyright info
    to address ftpmaster need for stronger proof
    at this second pass through NEW queue

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 01 Feb 2023 22:25:10 +0100

rust-ahash-0.7 (0.7.6-8) experimental; urgency=medium

  * update git-buildpackage config:
    + use version-prefixed branches and tags
  * rename source package to rust-ahash-0.7;
    stop provide unversioned or major-versioned binary packages
  * update watch file: limit to track only 0.7.*

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 31 Jan 2023 13:35:12 +0100

rust-ahash (0.7.6-7) unstable; urgency=medium

  * merge virtual feature package into main binary package
  * change binary library package to be arch-independent
  * declare compliance with Debian Policy 4.6.2
  * stop superfluously provide virtual unversioned feature packages
  * fix: provide virtual major-versioned feature package
  * stop build-depend on cargo libstd-rust-dev rustc,
    not used explicitly
  * update dh-cargo fork;
    build-depend on libstring-shellquote-perl
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 31 Jan 2023 11:16:28 +0100

rust-ahash (0.7.6-6) unstable; urgency=medium

  * drop patch 2001, obsoleted by Debian package updates
  * tighten autopkgtest dependencies
  * simplify build, using embedded fork of dh-cargo
  * build-depend on Rust crates
    criterion fnv fxhash hex no-panic rand seahash serde
  * relax superfluous autopkgtest package versioning
  * fix typo in autopkgtest dependency

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 31 Oct 2022 17:03:08 +0100

rust-ahash (0.7.6-5) unstable; urgency=medium

  * add patch cherry-picked upstream
    to fix aes acceleration (mostly) on aarch64;
    closes: bug#1019099, thanks to Peter Michael Green
  * stop overzealously provide versioned virtual packages

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 04 Sep 2022 08:53:03 +0200

rust-ahash (0.7.6-4) unstable; urgency=medium

  * fix package dependencies:
    + add patch 2001 to relax dependency on crate const-random;
      relax build-dependency on librust-const-random-dev;
      thanks to Peter Green (see bug#987324):
    + add patch 2002 to relax dependency on crate rand;
      have autopkgtests depend on librust-rand-0.8+default-dev
      (not librust-rand-0.7+default-dev)
  * declare compliance with Debian Policy 4.6.1

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 May 2022 19:32:32 +0200

rust-ahash (0.7.6-3) unstable; urgency=medium

  * fix grammar in long description
  * fix drop bogus metapackage librust-ahash+serde-dev
  * fix provide metapackage librust-ahash+compile-time-rng-dev
    (not librust-ahash+const-random-dev),
    and stop mention bogus feature const-random in description fields

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 16 May 2022 14:09:54 +0200

rust-ahash (0.7.6-2) unstable; urgency=medium

  * omit installing unnneded files

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Apr 2022 10:53:22 +0200

rust-ahash (0.7.6-1) unstable; urgency=medium

  * initial packaging release;
    closes: bug#1010256

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Apr 2022 10:40:00 +0200
