## rust-ahash-0.7 0.7.8

=== debian/changelog ===
rust-ahash-0.7 (0.7.8-2) unstable; urgency=medium

  * relax to build-depend unversioned on dh-cargo
  * declare compliance with Debian Policy 4.7.0
  * update copyright info: fix file path
  * tidy patches 2001_*

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 May 2024 07:29:45 +0200

rust-ahash-0.7 (0.7.8-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 18 Feb 2024 10:43:41 +0100

rust-ahash-0.7 (0.7.7-2) unstable; urgency=medium

  * add patch 1002 to limit atomic-polyfill import architectures;
    hopefully closes: bug#1061120, thanks to Peter Green
  * update dh-cargo fork
  * update copyright info: update coverage
  * stop provide or autopkgtest hidden feature runtime-png;
    thanks to Peter Green (see bug#1061120)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 18 Jan 2024 20:56:45 +0100

rust-ahash-0.7 (0.7.7-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * renumber patch 2002_rand -> 1001_rand;
    update DEP-3 patch headers
  * unfuzz patches
  * bump project versions in virtual packages and autopkgtests
  * update dh-cargo fork
  * update copyright info: update coverage
  * provide and autpkgtest features
    atomic-polyfill runtime-rng serde
  * update (build-)dependencies for crate once_cell
  * (build-)depend on package for crate atomic-polyfill

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Dec 2023 11:22:55 +0100

rust-ahash-0.7 (0.7.6-13) unstable; urgency=medium

  * update dh-cargo fork;
    closes: bug#1046893, thanks to Lucas Nussbaum

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 14 Aug 2023 11:11:18 +0200

rust-ahash-0.7 (0.7.6-12) unstable; urgency=medium

  * add patch 1001
    to relax dependency to match system crate criterion 0.5.1;
    relax related build-dependency and autopkgtest-dependencies

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 18 Jul 2023 14:29:06 +0200
